"use strict";

var _interopRequireWildcard = require("reshow-runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("reshow-runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("reshow-runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("reshow-runtime/helpers/objectWithoutProperties"));

var _classCallCheck2 = _interopRequireDefault(require("reshow-runtime/helpers/classCallCheck"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("reshow-runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("reshow-runtime/helpers/getPrototypeOf"));

var _assertThisInitialized2 = _interopRequireDefault(require("reshow-runtime/helpers/assertThisInitialized"));

var _createClass2 = _interopRequireDefault(require("reshow-runtime/helpers/createClass"));

var _inherits2 = _interopRequireDefault(require("reshow-runtime/helpers/inherits"));

var _defineProperty2 = _interopRequireDefault(require("reshow-runtime/helpers/defineProperty"));

var _react = _interopRequireWildcard(require("react"));

var _getObjectValue = _interopRequireDefault(require("get-object-value"));

var _reactAtomicMolecule = require("react-atomic-molecule");

var _Dropdown = _interopRequireDefault(require("ricon/Dropdown"));

var _winDoc = require("win-doc");

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(source, true).forEach(function (key) { (0, _defineProperty2["default"])(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(source).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

var body = function body() {
  return (0, _winDoc.doc)().body;
};

var _ref =
/*#__PURE__*/
_react["default"].createElement(_Dropdown["default"], null);

var Dropdown =
/*#__PURE__*/
function (_PureComponent) {
  (0, _inherits2["default"])(Dropdown, _PureComponent);
  (0, _createClass2["default"])(Dropdown, [{
    key: "open",
    value: function open() {
      var _this2 = this;

      var simple = this.props.simple;
      var listStyle = {};

      if (simple) {
        listStyle.visibility = 'hidden';
        this.titleTimer = setTimeout(function () {
          listStyle.visibility = 'inherit';

          _this2.setState({
            listStyle: _objectSpread({}, listStyle)
          });
        }, 300);
      } else {
        body().addEventListener('click', this.handleClose);
        listStyle.display = 'block';
      }

      this.setState({
        listStyle: listStyle
      });
    }
  }, {
    key: "close",
    value: function close() {
      var simple = this.props.simple;

      if (!simple) {
        body().removeEventListener('click', this.handleClose);
      }

      this.setState({
        listStyle: {}
      });
    }
  }]);

  function Dropdown(props) {
    var _this;

    (0, _classCallCheck2["default"])(this, Dropdown);
    _this = (0, _possibleConstructorReturn2["default"])(this, (0, _getPrototypeOf2["default"])(Dropdown).call(this, props));
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "menuTimer", null);
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "titleTimer", null);
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "state", {
      listStyle: {},
      hideList: false
    });
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "handleTitleClick", function (e) {
      var listStyle = _this.state.listStyle;

      if (listStyle.display === 'block') {
        _this.close();
      } else {
        _this.open();
      }
    });
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "handleMenuClick", function () {
      var simple = _this.props.simple;

      if (simple) {
        setTimeout(function () {
          if ('hidden' !== (0, _getObjectValue["default"])((0, _assertThisInitialized2["default"])(_this), ['state', 'listStyle', 'visibility'])) {
            _this.setState({
              hideList: true
            });

            _this.menuTimer = setTimeout(function () {
              return _this.setState({
                hideList: false
              });
            }, 300);
          }
        });
      } else {
        _this.close();
      }
    });
    (0, _defineProperty2["default"])((0, _assertThisInitialized2["default"])(_this), "handleClose", function (e) {
      var target = e.target;

      if (_this.menu.contains(target)) {
        return;
      }

      _this.close();
    });
    injects = (0, _reactAtomicMolecule.lazyInject)(injects, InjectStyles);
    return _this;
  }

  (0, _createClass2["default"])(Dropdown, [{
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      if (this.titleTimer) {
        clearTimeout(this.titleTimer);
      }

      if (this.menuTimer) {
        clearTimeout(this.menuTimer);
      }

      var simple = this.props.simple;

      if (!simple) {
        body().removeEventListener('click', this.handleClose);
      }
    }
  }, {
    key: "render",
    value: function render() {
      var _this3 = this;

      var _this$props = this.props,
          list = _this$props.list,
          listStyle = _this$props.listStyle,
          titleStyle = _this$props.titleStyle,
          iconStyle = _this$props.iconStyle,
          icon = _this$props.icon,
          children = _this$props.children,
          style = _this$props.style,
          className = _this$props.className,
          simple = _this$props.simple,
          props = (0, _objectWithoutProperties2["default"])(_this$props, ["list", "listStyle", "titleStyle", "iconStyle", "icon", "children", "style", "className", "simple"]);
      var _this$state = this.state,
          stateListStyle = _this$state.listStyle,
          hideList = _this$state.hideList;
      var thisList = null;

      if (!hideList && list) {
        thisList = (0, _react.cloneElement)(list, {
          style: _objectSpread({}, Styles.list, {}, listStyle, {}, stateListStyle),
          onClick: this.handleMenuClick
        });
      }

      var thisIcon = null;

      if (icon) {
        if (!(0, _react.isValidElement)(icon)) {
          thisIcon = _react["default"].createElement(_reactAtomicMolecule.Icon, {
            className: "dropdown-default-icon",
            style: _objectSpread({}, Styles.icon, {}, iconStyle)
          }, _ref);
        } else {
          thisIcon = icon;
        }
      }

      var classes = (0, _reactAtomicMolecule.mixClass)(className, 'compact');
      var titleClasses = (0, _reactAtomicMolecule.mixClass)('dropdown', {
        simple: simple
      });
      return _react["default"].createElement(_reactAtomicMolecule.Menu, (0, _extends2["default"])({}, props, {
        style: _objectSpread({}, Styles.container, {}, style),
        className: classes,
        refCb: function refCb(el) {
          return _this3.menu = el;
        },
        onClick: this.handleTitleClick
      }), _react["default"].createElement(_reactAtomicMolecule.Item, {
        className: titleClasses,
        style: _objectSpread({}, Styles.title, {}, titleStyle)
      }, _react["default"].createElement(_reactAtomicMolecule.SemanticUI, {
        style: Styles.label
      }, children, thisIcon), thisList));
    }
  }]);
  return Dropdown;
}(_react.PureComponent);

(0, _defineProperty2["default"])(Dropdown, "defaultProps", {
  icon: true,
  simple: true
});
var _default = Dropdown;
exports["default"] = _default;
var Styles = {
  container: {
    border: 'none',
    boxShadow: 'none',
    minHeight: 'auto',
    background: 'none'
  },
  title: {
    padding: 0
  },
  label: {
    display: 'inherit'
  },
  icon: {
    width: 24,
    height: 24,
    marginTop: -5
  },
  list: {
    marginTop: -1,
    //aviod not expected hover out
    maxHeight: '50vh',
    overflow: 'auto'
  }
};
var injects;
var InjectStyles = {
  defaultIcon: [{
    transform: ['rotate(180deg)']
  }, '.ui.simple.dropdown:hover .dropdown-default-icon'],
  initMenu: [{
    display: 'none !important'
  }, '.ui.simple.dropdown .menu'],
  hoverMenu: [{
    display: 'block !important'
  }, ['.ui.simple.active.dropdown>.menu', '.ui.simple.dropdown:hover>.menu'].join(',')]
};
module.exports = exports.default;