"use strict";

var _interopRequireWildcard = require("reshow-runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("reshow-runtime/helpers/interopRequireDefault");

var _jsdomGlobal = _interopRequireDefault(require("jsdom-global"));

var _react = _interopRequireWildcard(require("react"));

var _chai = require("chai");

var _enzyme = require("enzyme");

var _enzymeAdapterReact = _interopRequireDefault(require("enzyme-adapter-react-16"));

var _Breadcrumb = _interopRequireDefault(require("../Breadcrumb"));

(0, _enzyme.configure)({
  adapter: new _enzymeAdapterReact["default"]()
});

var _ref =
/*#__PURE__*/
_react["default"].createElement(_Breadcrumb["default"], null);

describe('Test Breadcrumb', function () {
  it('simple test', function () {
    var wrap = (0, _enzyme.mount)(_ref);
    var html = wrap.html();
    (0, _chai.expect)(html).to.have.string('breadcrumb');
  });
});