import _defineProperty from "reshow-runtime/es/helpers/defineProperty";
import _classCallCheck from "reshow-runtime/es/helpers/classCallCheck";
import _createClass from "reshow-runtime/es/helpers/createClass";
import _possibleConstructorReturn from "reshow-runtime/es/helpers/possibleConstructorReturn";
import _getPrototypeOf from "reshow-runtime/es/helpers/getPrototypeOf";
import _inherits from "reshow-runtime/es/helpers/inherits";

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(source, true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(source).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

import { ReduceStore } from 'reshow-flux';
import dispatcher from '../navigationDispatcher';
import get from 'get-object-value';

var NavigatioStore =
/*#__PURE__*/
function (_ReduceStore) {
  _inherits(NavigatioStore, _ReduceStore);

  function NavigatioStore() {
    _classCallCheck(this, NavigatioStore);

    return _possibleConstructorReturn(this, _getPrototypeOf(NavigatioStore).apply(this, arguments));
  }

  _createClass(NavigatioStore, [{
    key: "reduce",
    value: function reduce(state, action) {
      var id = get(action, ['id'], 'default');

      var settings = _objectSpread({}, get(state.get(id), null, {}), {}, action.params);

      return state.set(id, settings);
    }
  }]);

  return NavigatioStore;
}(ReduceStore);

export default new NavigatioStore(dispatcher);